#!/bin/bash

declare -a _index
declare -a _mount_point
_index=100

echo "Debug version status" > /tmp/conky-removable.dbg.log

for x in $(hal-find-by-property --key access_control.type --string removable-block)
do
	echo "######################################################################################################" >> /tmp/conky-removable.dbg.log
	echo "Device UDI: $x" >> /tmp/conky-removable.dbg.log
	_mp=; _mp=$(hal-device "$x" |grep "volume\.mount_point" |cut -d\' -f2)
	if [ "$_mp" ]
	then
		echo "Volume mount point: $_mp" >> /tmp/conky-removable.dbg.log
		_index=$[--_index]
		_array_index[$_index]=$_index
		echo "Index of array: $_index" >> /tmp/conky-removable.dbg.log
		_mount_point[$_index]="$_mp"
		_dev=$(hal-device "$x" |grep "access_control\.file" |cut -d\' -f2)
		echo "DEVFS device: $_dev" >> /tmp/conky-removable.dbg.log
		_udi=$(hal-device "$x" |grep "block\.storage_device" |cut -d\' -f2)
		echo "parent device UDI: $_udi" >> /tmp/conky-removable.dbg.log
		#	_dvendor=$(hal-device "$_udi" |grep "info\.vendor" |cut -d\' -f2)
		_dproduct=$(hal-device "$_udi" |grep "info\.product" |cut -d\' -f2)
		#	if [ "$_dvendor" ]; then _name[$_index]="${_name[$_index]} $_dvendor"; fi
		if [ "$_dproduct" ]; then _name[$_index]="${_name[$_index]} $_dproduct"
		else _name[$_index]="${_name[$_index]} $(hal-device $x |grep "info\.product" |cut -d\' -f2)"; fi
		_name[$_index]="${_name[$_index]/\ }"
		echo "Device name: ${_name[$_index]}" >> /tmp/conky-removable.dbg.log
		y=$(df -h |grep $(echo "$_dev"))
		echo "Device MTAB line: $y" >> /tmp/conky-removable.dbg.log
		if [ "$y" ]
		then
			set $y
			_device[$_index]="$1"
			_space_used[$_index]="$3"
			_space_free[$_index]="$4"
			_percent_used[$_index]="$5"
			_space_available[$_index]="$2"
		fi
	else echo "It's device, not volume!" >> /tmp/conky-removable.dbg.log
	fi
	echo "######################################################################################################" >> /tmp/conky-removable.dbg.log
done

exit 0

